Page MenuHomePhabricator

[cfe-dev] Enabling ThreadSanitizer on PPC64(BE/LE) plarforms
ClosedPublic

Authored by simoatze on Sep 14 2015, 8:15 AM.

Details

Summary

Enabling ThreadSanitizer on PPC64(BE/LE) platforms. The current patch will enable the flag "-fsanitize=thread" on Clang on PPC64 systems.

Diff Detail

Event Timeline

simoatze updated this revision to Diff 34672.Sep 14 2015, 8:15 AM
simoatze retitled this revision from to [cfe-dev] Enabling ThreadSanitizer on PPC64(BE/LE) plarforms.
simoatze updated this object.
simoatze added reviewers: kbarton, nemanjai, wschmidt.
simoatze added a subscriber: cfe-commits.
simoatze updated this revision to Diff 34825.Sep 15 2015, 12:15 PM

Added more context.

simoatze updated this revision to Diff 34830.Sep 15 2015, 12:29 PM

Ignore previous update.

hfinkel accepted this revision.Sep 22 2015, 2:50 PM
hfinkel added a reviewer: hfinkel.
hfinkel added a subscriber: hfinkel.

LGTM, although don't commit until any necessary backend/compiler-rt patches are in.

This revision is now accepted and ready to land.Sep 22 2015, 2:50 PM
samsonov accepted this revision.Sep 22 2015, 4:54 PM
samsonov added a reviewer: samsonov.
samsonov added a subscriber: samsonov.

LGTM

wschmidt closed this revision.Dec 8 2015, 2:51 PM
wschmidt edited edge metadata.

Committed as r255067.